fop 1.1

## org.apache.fop.complexscripts.fonts
Class GlyphSubstitutionTable.Ligature

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphSubstitutionTable.Ligature

Enclosing class:
  GlyphSubstitutionTable

    public static class GlyphSubstitutionTable.Ligature

extends java.lang.Object

The `Ligature` class implements a ligature lookup result in terms of a ligature glyph (code) and the <emph>N+1...</emph> components that comprise the ligature, where the <emph>Nth</emph> component was consumed in the coverage table lookup mapping to this ligature instance.

Constructor Summary
`GlyphSubstitutionTable.Ligature(int ligature, int[] components)` Instantiate a ligature.

Method Summary
`int[]` `getComponents()`
`int` `getLigature()`
`int` `getNumComponents()`
`boolean` `matchesComponents(int[] glyphs)` Determine if input sequence at offset matches ligature's components.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlyphSubstitutionTable.Ligature

    public GlyphSubstitutionTable.Ligature(int ligature,
                                           int[] components)

  Instantiate a ligature.

  Parameters:
    `ligature` - glyph id
    `components` - sequence of <emph>N+1...</emph> component glyph (or character) identifiers

Method Detail

### getLigature

    public int getLigature()

  Returns:
    ligature glyph id

### getComponents

    public int[] getComponents()

  Returns:
    array of <emph>N+1...</emph> components

### getNumComponents

    public int getNumComponents()

  Returns:
    components count

### matchesComponents

    public boolean matchesComponents(int[] glyphs)

  Determine if input sequence at offset matches ligature's components.

  Parameters:
    `glyphs` - array of glyph components to match (including first, implied glyph)
  Returns:
    true if matches

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.